Subject: bug#17397: 24.4.50; REGRESSION: `temp-buffer-show-hook' is no longer invoked for `describe-variable'

From: Stefan Kangas <[email-masked]>
Date: Sun, 10 Oct 2021 16:01:40 -0700

tags 17397 + wontfix notabug
close 17397
thanks

martin rudalics <[email-masked]> writes:

>>> It wasn't my intention to change the longstanding behavior of
>>> `with-output-to-temp-buffer'.
>>
>> Well, it's done.  Is it your intention to revert that change? ;-)
>
> No.  I'm too surprised that it didn't cause any misbehavior so far.

It's kind of hard to follow this bug report.

>From what I gather, it's about reverting some change that was made many
years ago, and the conclusion was that we don't intend to do that.

In any case, that's even more unlikely to happen now, seven years later,
so it hardly makes sense to keep this open.  I'm therefore closing this
bug report.